//-----------------------------------------------------------------------
// <copyright file="MLStringProperty.cs" company="MAPILab Ltd">
//     Copyright (c) MAPILab Ltd.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace MAPILab.SharePoint.Explorer.ObjectBrowser
{
    /// <summary>
    /// Alternative properties for string to display in properties grid
    /// </summary>
    class MLStringProperty
    {
        #region Field

        /// <summary>
        /// String value
        /// </summary>
        string propValue;

        #endregion

        #region Property

        /// <summary>
        /// Gets string value
        /// </summary>
        public string PropertyValue
        {
            get { return propValue; }
        }

        #endregion

        #region Constructor

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="propValue"></param>
        public MLStringProperty(string propValue)
        {
            this.propValue = propValue;
        }

        #endregion
    }
}
