﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MAPILab.SharePoint.Explorer.ObjectBrowser.TreeExpand
{
    class MLDisplayRule
    {
        #region Fields

        private string type;
        private string name;
        private List<MLRuleProperty> properties;

        #endregion

        #region Properties

        public string Type
        {
            get { return this.type; }
        }

        public string Name
        {
            get { return this.name; }
        }

        public List<MLRuleProperty> Properties
        {
            get { return this.properties; }
        }

        #endregion

        #region Constructor

        public MLDisplayRule(string type, string name, List<MLRuleProperty> properties)
        {
            this.type = type;
            this.name = name;
            this.properties = properties;
        }

        public MLDisplayRule()
        {
            this.type = String.Empty;
            this.name = String.Empty;
            this.properties = new List<MLRuleProperty>();
        }

        #endregion
    }
}
